/*!
 * Beetan Theme
 *
 * Author: StorePress ( StorePressHQ@gmail.com )
 * Date: 9/28/2022, 3:50:27 PM
 * Released under the GPLv3 license.
 */
/******/ (function() { // webpackBootstrap
var __webpack_exports__ = {};
/* global wp, jQuery */

/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */
(function ($) {
  // Site title and description.
  wp.customize('blogname', function (value) {
    value.bind(function (to) {
      $('.site-title a').text(to);
    });
  }); // Site Description

  wp.customize('blogdescription', function (value) {
    value.bind(function (to) {
      $('.site-description').text(to);
    });
  }); // Set Base font size

  wp.customize('site_background_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-site-background-color', to);
    });
  }); // Set site container width

  wp.customize('site_container_width', function (value) {
    value.bind(function (to) {
      if (to > 1920) {
        to = 1920;
      } else if (to < 768) {
        to = 768;
      }

      document.documentElement.style.setProperty('--beetan-site-container-width', to + 'px');
    });
  }); // Set sidebar width

  wp.customize('sidebar_width', function (value) {
    value.bind(function (to) {
      if (to > 50) {
        to = 50;
      } else if (to < 10) {
        to = 10;
      }

      document.documentElement.style.setProperty('--beetan-sidebar-width', to + '%');
    });
  }); // Set site header background color

  wp.customize('site_header_background_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-site-header-background-color', to);
    });
  }); // Set site header box shadow color

  wp.customize('site_header_box_shadow', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-site-header-box-shadow-color', to);
    });
  }); // Set Base font size

  wp.customize('body_font_size', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--body-font-size', to);
    });
  }); // Theme color

  wp.customize('primary_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-primary-color', to);
    });
  }); // Body font color

  wp.customize('text_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-text-color', to);
    });
  }); // Heading font color

  wp.customize('heading_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-heading-color', to);
    });
  }); // Sub Heading font color

  wp.customize('sub_heading_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-sub-heading-color', to);
    });
  }); // Link color

  wp.customize('link_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-link-color', to);
    });
  }); // Link hover color

  wp.customize('link_hover_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-link-hover-color', to);
    });
  }); // Set space between blog posts

  wp.customize('blog_posts_gap', function (value) {
    value.bind(function (to) {
      if (to > 100) {
        to = 100;
      } else if (to < 0) {
        to = 0;
      }

      document.documentElement.style.setProperty('--beetan-blog-posts-gap', to + 'px');
    });
  }); // Set gap inner blog posts

  wp.customize('blog_post_inner_gap', function (value) {
    value.bind(function (to) {
      if (to > 100) {
        to = 100;
      } else if (to < 0) {
        to = 0;
      }

      document.documentElement.style.setProperty('--beetan-blog-post-inner-gap', to + 'px');
    });
  }); // Blog post background color

  wp.customize('blog_post_background_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-blog-background-color', to);
    });
  }); // Set gap inner box layout

  wp.customize('box_layout_inner_gap', function (value) {
    value.bind(function (to) {
      if (to > 100) {
        to = 100;
      } else if (to < 0) {
        to = 0;
      }

      document.documentElement.style.setProperty('--beetan-box-layout-inner-gap', to + 'px');
    });
  }); // Box layout background color

  wp.customize('box_layout_background_color', function (value) {
    value.bind(function (to) {
      document.documentElement.style.setProperty('--beetan-box-layout-background-color', to);
    });
  });
})(jQuery);
/******/ })()
;