<?php
defined( 'ABSPATH' ) or die( 'Keep Silent' );

/**
 * @var string $site_background_color
 * @var integer $site_container_width
 * @var integer $sidebar_width
 * @var string $site_header_background_color
 * @var string $site_header_box_shadow
 * @var string $primary_color
 * @var string $primary_color
 * @var string $text_color
 * @var string $heading_color
 * @var string $sub_heading_color
 * @var string $link_color
 * @var string $link_hover_color
 * @var integer $blog_posts_gap
 * @var integer $blog_post_inner_gap
 * @var string $blog_post_background_color
 * @var integer $box_layout_inner_gap
 * @var string $box_layout_background_color
 */
?>

<style type="text/css">
    :root {
        --beetan-site-background-color: <?php echo esc_attr( maybe_hash_hex_color( $site_background_color ) ) ?>;
        --beetan-site-container-width: <?php echo absint( $site_container_width ) ?>px;
        --beetan-sidebar-width: <?php echo absint( $sidebar_width ) ?>%;
        --beetan-site-header-background-color: <?php echo esc_attr( $site_header_background_color ) ?>;
        --beetan-site-header-box-shadow-color: <?php echo esc_attr( $site_header_box_shadow ) ?>;
        --beetan-primary-color: <?php echo esc_attr( maybe_hash_hex_color( $primary_color ) ) ?>;
        --beetan-text-color: <?php echo esc_attr( maybe_hash_hex_color( $text_color ) ) ?>;
        --beetan-heading-color: <?php echo esc_attr( maybe_hash_hex_color( $heading_color ) ) ?>;
        --beetan-sub-heading-color: <?php echo esc_attr( maybe_hash_hex_color( $sub_heading_color ) ) ?>;
        --beetan-link-color: <?php echo esc_attr( maybe_hash_hex_color( $link_color ) ) ?>;
        --beetan-link-hover-color: <?php echo esc_attr( maybe_hash_hex_color( $link_hover_color ) ) ?>;
        --beetan-blog-posts-gap: <?php echo absint( $blog_posts_gap ) ?>px;
        --beetan-blog-post-inner-gap: <?php echo absint( $blog_post_inner_gap ) ?>px;
        --beetan-blog-background-color: <?php echo esc_attr( $blog_post_background_color ) ?>;
        --beetan-box-layout-inner-gap: <?php echo absint( $box_layout_inner_gap ) ?>px;
        --beetan-box-layout-background-color: <?php echo esc_attr( $box_layout_background_color ) ?>;
    }
</style>