<?php
/*
* Start Header Settings
*/
$wp_customize->add_setting(
	'header_container',
	array(
		'default'           => 'container',
		'sanitize_callback' => 'sanitize_key',
	)
);
$wp_customize->add_control(
	new Beetan_Customize_Radio_Buttons_Control( $wp_customize,
		'header_container',
		array(
			'label'    => esc_html__( 'Container Type', 'beetan' ),
			'section'  => 'header_options',
			'settings' => 'header_container',
			'choices'  => array(
				'container'       => esc_html__( 'Contained', 'beetan' ),
				'container-fluid' => esc_html__( 'Full-width', 'beetan' )
			)
		)
	)
);

$wp_customize->add_section(
	'header_options',
	array(
		'title'    => esc_html__( 'Header Options', 'beetan' ),
		'priority' => 30,
	)
);
$wp_customize->add_setting(
	'sticky_header',
	array(
		'default'           => false,
		'sanitize_callback' => 'beetan_sanitize_boolean',
	)
);
$wp_customize->add_control(
	new Beetan_Customize_Toggle_Control( $wp_customize,
		'sticky_header',
		array(
			'label'   => esc_html__( 'Sticky Header', 'beetan' ),
			'section' => 'header_options',
		)
	)
);
$wp_customize->add_setting(
	'float_header',
	array(
		'default'           => false,
		'sanitize_callback' => 'beetan_sanitize_boolean',
	)
);
$wp_customize->add_control(
	new Beetan_Customize_Toggle_Control( $wp_customize,
		'float_header',
		array(
			'label'   => esc_html__( 'Float Header', 'beetan' ),
			'section' => 'header_options',
		)
	)
);

// Site header color
$wp_customize->add_setting(
	"site_header_background_color",
	array(
		"default"           => maybe_hash_hex_color( '#ffffff' ),
		"transport"         => "postMessage",
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control(
	new Beetan_Customize_Alpha_Color_Control( $wp_customize,
		'site_header_background_color',
		array(
			'label'   => esc_html__( 'Header Background Color', 'beetan' ),
			'section' => 'header_options',
		)
	)
);

// Site header box shadow color
$wp_customize->add_setting(
	"site_header_box_shadow",
	array(
		"default"           => maybe_hash_hex_color( '#f1f1f1' ),
		"transport"         => "postMessage",
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control(
	new Beetan_Customize_Alpha_Color_Control( $wp_customize,
		'site_header_box_shadow',
		array(
			'label'   => esc_html__( 'Header Box Shadow Color', 'beetan' ),
			'section' => 'header_options',
		)
	)
);

/* Header Variation Control */
$wp_customize->add_setting(
	'header_variation',
	array(
		'default'           => '3',
		'sanitize_callback' => 'sanitize_key',
	)
);
$wp_customize->add_control(
	new Beetan_Customize_Radio_Image_Control( $wp_customize,
		'header_variation',
		array(
			'label'    => esc_html__( 'Header Styles', 'beetan' ),
			'section'  => 'header_options',
			'settings' => 'header_variation',
			'choices'  => array(
				'1' => array(
					'label' => esc_html__( 'Header Style 1', 'beetan' ),
					'url'   => get_theme_file_uri( '/assets/images/header-1.svg' )
				),
				'2' => array(
					'label' => esc_html__( 'Header Style 2', 'beetan' ),
					'url'   => get_theme_file_uri( '/assets/images/header-2.svg' )
				),
				'3' => array(
					'label' => esc_html__( 'Header Style 3', 'beetan' ),
					'url'   => get_theme_file_uri( '/assets/images/header-3.svg' )
				),
				'4' => array(
					'label' => esc_html__( 'Header Style 4', 'beetan' ),
					'url'   => get_theme_file_uri( '/assets/images/header-4.svg' )
				)
			)
		)
	)
);
/*
* End Header Settings
*/

